Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037616
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Loyalty Management for Retailmajoralways2018-01-11 10:212018-01-22 11:27
ReporterguillermogilView Statuspublic 
Assigned Toguillermogil 
PriorityhighResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revisione39d21b6b8ee
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037616: Since 17Q3 Loyalty is not working

DescriptionSince 17Q3 Loyalty is not working, and login in the WebPOS is not possible when it is installed and there is data defined in the models.
Steps To ReproduceInstall loyalty, and configure a Loyalty Program.
Try to login in the Web POS. Notice that an error appears.
Proposed SolutionSimpleQueryBuilder classes which implement masterdata models should be changed to ProcessHQLQuery, which implement proper paging, offset definition, and error control.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101664)
hgbot (developer)
2018-01-11 10:24

Repository: erp/pmods/org.openbravo.retail.loyalty
Changeset: e39d21b6b8eec6e65bd8542b3aeca1d683b0a4e9
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Thu Jan 11 10:23:17 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty/rev/e39d21b6b8eec6e65bd8542b3aeca1d683b0a4e9 [^]

Fixed issue 37616: Modified MastarData process to ProcessHQLQuery

Using JSONProcessSimple was generating errors on login due to a sanity check on POS

---
M src/org/openbravo/retail/loyalty/master/AccumulationRules.java
M src/org/openbravo/retail/loyalty/master/LoyaltyManagement.java
M src/org/openbravo/retail/loyalty/master/LoyaltyProgram.java
M src/org/openbravo/retail/loyalty/master/RedemptionRules.java
---
(0101666)
hgbot (developer)
2018-01-11 14:10

Repository: erp/pmods/org.openbravo.retail.loyalty
Changeset: 34f3896ebd008792f08683105a0020003f5d65cf
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Thu Jan 11 14:10:45 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty/rev/34f3896ebd008792f08683105a0020003f5d65cf [^]

Related to issue 37616: Implemented ParentList Logic

---
M src/org/openbravo/retail/loyalty/master/AccumulationRules.java
M src/org/openbravo/retail/loyalty/master/LoyaltyManagement.java
M src/org/openbravo/retail/loyalty/master/LoyaltyProgram.java
M src/org/openbravo/retail/loyalty/master/RedemptionRules.java
---
(0101678)
hgbot (developer)
2018-01-12 12:47

Repository: erp/pmods/org.openbravo.retail.loyalty
Changeset: 6d966756f41901169eea31be78a2e0d01f30bcf8
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri Jan 12 12:47:49 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty/rev/6d966756f41901169eea31be78a2e0d01f30bcf8 [^]

Related to issue 37616: Added active filters

---
M src/org/openbravo/retail/loyalty/master/AccumulationRules.java
M src/org/openbravo/retail/loyalty/master/LoyaltyManagement.java
M src/org/openbravo/retail/loyalty/master/LoyaltyProgram.java
M src/org/openbravo/retail/loyalty/master/RedemptionRules.java
---
(0101808)
hgbot (developer)
2018-01-19 16:12

Repository: erp/pmods/org.openbravo.retail.loyalty
Changeset: 56daaba72422bc17172dee4d1c84a86a71d8bd07
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jan 19 16:12:29 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty/rev/56daaba72422bc17172dee4d1c84a86a71d8bd07 [^]

Related to issue 37616. Properly implement masterdata refresh criteria

---
M src/org/openbravo/retail/loyalty/master/AccumulationRules.java
M src/org/openbravo/retail/loyalty/master/AccumulationRulesProperties.java
M src/org/openbravo/retail/loyalty/master/LoyaltyManagement.java
M src/org/openbravo/retail/loyalty/master/LoyaltyManagementProperties.java
M src/org/openbravo/retail/loyalty/master/LoyaltyProgram.java
M src/org/openbravo/retail/loyalty/master/LoyaltyProgramProperties.java
M src/org/openbravo/retail/loyalty/master/RedemptionRules.java
M src/org/openbravo/retail/loyalty/master/RedemptionRulesProperties.java
---
(0101826)
jorge-garcia (developer)
2018-01-22 11:27
edited on: 2018-01-22 11:43

Reviewed and tested


- Issue History
Date Modified Username Field Change
2018-01-11 10:21 guillermogil New Issue
2018-01-11 10:21 guillermogil Assigned To => Retail
2018-01-11 10:21 guillermogil Triggers an Emergency Pack => No
2018-01-11 10:24 hgbot Checkin
2018-01-11 10:24 hgbot Note Added: 0101664
2018-01-11 10:24 hgbot Status new => resolved
2018-01-11 10:24 hgbot Resolution open => fixed
2018-01-11 10:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty/rev/e39d21b6b8eec6e65bd8542b3aeca1d683b0a4e9 [^]
2018-01-11 14:10 hgbot Checkin
2018-01-11 14:10 hgbot Note Added: 0101666
2018-01-11 19:48 marvintm Assigned To Retail => guillermogil
2018-01-11 19:57 marvintm Description Updated View Revisions
2018-01-11 19:57 marvintm Steps to Reproduce Updated View Revisions
2018-01-11 19:57 marvintm Proposed Solution updated
2018-01-12 12:47 hgbot Checkin
2018-01-12 12:47 hgbot Note Added: 0101678
2018-01-19 16:12 hgbot Checkin
2018-01-19 16:12 hgbot Note Added: 0101808
2018-01-22 11:27 jorge-garcia Review Assigned To => jorge-garcia
2018-01-22 11:27 jorge-garcia Note Added: 0101826
2018-01-22 11:27 jorge-garcia Status resolved => closed
2018-01-22 11:27 jorge-garcia Fixed in Version => RR18Q2
2018-01-22 11:43 jorge-garcia Note Edited: 0101826 View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker